app:empty + #preloader {
    opacity: 1;
    z-index: 9999;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    background: #000;
}

#preloader>div {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #f95372;
}

#preloader>div:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #00abff;
}

#preloader>div:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #e7ba08;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}